pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 > Class Template Referenceabstract
Module visualization

Base Handler class for PointCloud colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >:

## Public Types

using | PointCloud = pcl::PCLPointCloud2
using | PointCloudPtr = PointCloud::Ptr
using | PointCloudConstPtr = PointCloud::ConstPtr
using | Ptr = shared_ptr< PointCloudColorHandler< PointCloud > >
using | ConstPtr = shared_ptr< const PointCloudColorHandler< PointCloud > >

## Public Member Functions

| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandler ()
| Destructor. More...
bool | isCapable () const
| Return whether this handler is capable of handling the input data or not. More...
virtual std::string | getName () const =0
| Abstract getName method. More...
virtual std::string | getFieldName () const =0
| Abstract getFieldName method. More...
virtual vtkSmartPointer< vtkDataArray > | getColor () const
| Obtain the actual color for the input dataset as a VTK data array. More...
virtual bool | getColor (vtkSmartPointer< vtkDataArray > &scalars) const
| Obtain the actual color for the input dataset as a VTK data array. More...
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Protected Attributes

PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_idx_
| The index of the field holding the data that represents the color. More...

## Detailed Description

### template<>
class pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >

Base Handler class for PointCloud colors.

Author
  Radu B. Rusu

Definition at line 571 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

## ConstPtr

using pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::ConstPtr = shared_ptr<const PointCloudColorHandler<PointCloud> >

Definition at line 579 of file point_cloud_color_handlers.h.

## PointCloud

using pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::PointCloud = pcl::PCLPointCloud2

Definition at line 574 of file point_cloud_color_handlers.h.

## PointCloudConstPtr

using pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::PointCloudConstPtr = PointCloud::ConstPtr

Definition at line 576 of file point_cloud_color_handlers.h.

## PointCloudPtr

using pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::PointCloudPtr = PointCloud::Ptr

Definition at line 575 of file point_cloud_color_handlers.h.

## Ptr

using pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::Ptr = shared_ptr<PointCloudColorHandler<PointCloud> >

Definition at line 578 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

## PointCloudColorHandler()

pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::PointCloudColorHandler | ( | const PointCloudConstPtr & | cloud | ) |

inline

Constructor.

Definition at line 582 of file point_cloud_color_handlers.h.

## ~PointCloudColorHandler()

virtual pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::~PointCloudColorHandler | ( |  | ) |

inline virtual

Destructor.

Definition at line 587 of file point_cloud_color_handlers.h.

## Member Function Documentation

## getColor() [1/2]

virtual vtkSmartPointer<vtkDataArray> pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::getColor | ( |  | ) | const

inline virtual

Obtain the actual color for the input dataset as a VTK data array.

Deriving handlers should override this method. The default implementation is provided only for backwards compatibility with handlers that were written before PCL 1.10.0 and will be removed in future.

Returns
  smart pointer to VTK array if the operation was successful (the handler is capable and the input cloud was given), a null pointer otherwise

Reimplemented in pcl::visualization::PointCloudColorHandlerLabelField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerGenericField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >, and pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >.

Definition at line 608 of file point_cloud_color_handlers.h.

## getColor() [2/2]

virtual bool pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::getColor | ( | vtkSmartPointer< vtkDataArray > & | scalars | ) | const

inline virtual

Obtain the actual color for the input dataset as a VTK data array.

This virtual method should not be overriden or used. The default implementation is provided only for backwards compatibility with handlers that were written before PCL 1.10.0 and will be removed in future.

Definition at line 620 of file point_cloud_color_handlers.h.

## getFieldName()

virtual std::string pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::getFieldName | ( |  | ) | const

pure virtual

Abstract getFieldName method.

Implemented in pcl::visualization::PointCloudColorHandlerLabelField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerGenericField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >, and pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >.

## getName()

virtual std::string pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::getName | ( |  | ) | const

pure virtual

Abstract getName method.

Implemented in pcl::visualization::PointCloudColorHandlerLabelField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerGenericField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >, and pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >.

## isCapable()

bool pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::isCapable | ( |  | ) | const

inline

Return whether this handler is capable of handling the input data or not.

Definition at line 591 of file point_cloud_color_handlers.h.

## setInputCloud()

void pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

inline

Set the input cloud to be used.

Parameters

  [in] | cloud | the input cloud to be used by the handler

Definition at line 629 of file point_cloud_color_handlers.h.

## Member Data Documentation

## capable_

bool pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::capable_

protected

True if this handler is capable of handling the input data, false otherwise.

Definition at line 641 of file point_cloud_color_handlers.h.

## cloud_

PointCloudConstPtr pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::cloud_

protected

A pointer to the input dataset.

Definition at line 636 of file point_cloud_color_handlers.h.

## field_idx_

int pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::field_idx_

protected

The index of the field holding the data that represents the color.

Definition at line 644 of file point_cloud_color_handlers.h.

The documentation for this class was generated from the following file:

- pcl/visualization/point_cloud_color_handlers.h